Manifest-Version: 1.0
Bnd-LastModified: 1717490679246
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Document Library Web
Bundle-SymbolicName: com.liferay.document.library.web
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 6.0.150.hotfix-5570-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.lifer
 ay.application.list;version="7.0",com.liferay.asset.auto.tagger.confi
 guration;version="1.1",com.liferay.asset.display.page.portlet;version
 ="6.1",com.liferay.asset.display.page.service;version="2.8",com.lifer
 ay.asset.info.item.provider;version="1.1",com.liferay.asset.kernel;ve
 rsion="2.1",com.liferay.asset.kernel.exception;version="3.0",com.life
 ray.asset.kernel.model;version="9.2",com.liferay.asset.kernel.service
 ;version="8.1",com.liferay.asset.kernel.service.persistence;version="
 10.1",com.liferay.asset.util;version="4.0",com.liferay.bulk.selection
 ;version="2.0",com.liferay.change.tracking.spi.display;version="2.0",
 com.liferay.change.tracking.spi.display.context;version="1.2",com.lif
 eray.configuration.admin.display;version="1.2",com.liferay.data.engin
 e.content.type;version="1.5",com.liferay.data.engine.field.type.util;
 version="1.2",com.liferay.data.engine.model;version="2.1",com.liferay
 .data.engine.rest.dto.v2_0;version="5.1",com.liferay.data.engine.rest
 .resource.exception;version="4.0",com.liferay.data.engine.rest.resour
 ce.v2_0;version="8.3",com.liferay.data.engine.taglib.servlet.taglib.d
 efinition;version="1.5",com.liferay.depot.group.provider;version="1.0
 ",com.liferay.depot.model;version="3.1",com.liferay.depot.service;ver
 sion="1.10",com.liferay.depot.util;version="1.0",com.liferay.diff;ver
 sion="1.0",com.liferay.digital.signature.configuration;version="1.0",
 com.liferay.digital.signature.constants;version="1.0",com.liferay.doc
 ument.library.configuration;version="4.0",com.liferay.document.librar
 y.constants;version="2.0",com.liferay.document.library.display.contex
 t;version="9.0",com.liferay.document.library.exception;version="1.1",
 com.liferay.document.library.icon.provider;version="1.0",com.liferay.
 document.library.kernel.antivirus;version="3.1",com.liferay.document.
 library.kernel.document.conversion;version="1.0",com.liferay.document
 .library.kernel.exception;version="4.2",com.liferay.document.library.
 kernel.model;version="8.2",com.liferay.document.library.kernel.servic
 e;version="11.2",com.liferay.document.library.kernel.store;version="4
 .1",com.liferay.document.library.kernel.util;version="8.0",com.lifera
 y.document.library.kernel.versioning;version="1.0",com.liferay.docume
 nt.library.portlet.toolbar.contributor;version="1.2",com.liferay.docu
 ment.library.preview;version="2.0",com.liferay.document.library.previ
 ew.exception;version="1.0",com.liferay.document.library.repository.au
 thorization.capability;version="1.0",com.liferay.document.library.ser
 vice;version="2.7",com.liferay.document.library.util;version="1.2",co
 m.liferay.document.library.visibility.controller;version="1.0",com.li
 feray.dynamic.data.lists.model;version="3.1",com.liferay.dynamic.data
 .lists.service;version="2.8",com.liferay.dynamic.data.mapping.excepti
 on;version="2.7",com.liferay.dynamic.data.mapping.form.values.factory
 ;version="1.0",com.liferay.dynamic.data.mapping.info.item.provider;ve
 rsion="2.0",com.liferay.dynamic.data.mapping.item.selector;version="1
 .1",com.liferay.dynamic.data.mapping.item.selector.criterion;version=
 "1.1",com.liferay.dynamic.data.mapping.kernel;version="3.0",com.lifer
 ay.dynamic.data.mapping.model;version="7.1",com.liferay.dynamic.data.
 mapping.security.permission;version="1.0",com.liferay.dynamic.data.ma
 pping.service;version="3.15",com.liferay.dynamic.data.mapping.storage
 ;version="2.1",com.liferay.dynamic.data.mapping.util;version="8.0",co
 m.liferay.dynamic.data.mapping.validator;version="1.7",com.liferay.ex
 pando.info.item.provider;version="1.0",com.liferay.expando.kernel.exc
 eption;version="2.0",com.liferay.expando.kernel.model;version="6.0",c
 om.liferay.exportimport.changeset;version="2.0",com.liferay.exportimp
 ort.changeset.portlet.action;version="1.0",com.liferay.exportimport.k
 ernel.lar;version="4.4",com.liferay.exportimport.kernel.lifecycle;ver
 sion="4.0",com.liferay.exportimport.kernel.model;version="6.0",com.li
 feray.exportimport.kernel.staging;version="2.3",com.liferay.exportimp
 ort.portlet.preferences.processor;version="1.2",com.liferay.exportimp
 ort.staged.model.repository;version="1.1",com.liferay.fragment.proces
 sor;version="8.3",com.liferay.friendly.url.info.item.provider;version
 ="1.0",com.liferay.friendly.url.info.item.updater;version="1.0",com.l
 iferay.friendly.url.model;version="3.1",com.liferay.friendly.url.serv
 ice;version="2.1",com.liferay.friendly.url.util.comparator;version="1
 .1",com.liferay.frontend.taglib.clay.servlet.taglib;version="7.4",com
 .liferay.frontend.taglib.clay.servlet.taglib.display.context;version=
 "2.0",com.liferay.frontend.taglib.clay.servlet.taglib.util;version="4
 .2",com.liferay.info.collection.provider;version="4.0",com.liferay.in
 fo.display.url.provider;version="2.0",com.liferay.info.exception;vers
 ion="2.5",com.liferay.info.field;version="4.1",com.liferay.info.field
 .type;version="4.5",com.liferay.info.filter;version="2.1",com.liferay
 .info.form;version="2.1",com.liferay.info.item;version="6.0",com.life
 ray.info.item.capability;version="1.0",com.liferay.info.item.field.re
 ader;version="3.0",com.liferay.info.item.provider;version="2.0",com.l
 iferay.info.item.renderer;version="2.0",com.liferay.info.list.rendere
 r;version="3.0",com.liferay.info.localized;version="2.0",com.liferay.
 info.pagination;version="1.1",com.liferay.info.search;version="2.1",c
 om.liferay.info.sort;version="1.0",com.liferay.info.taglib.list.rende
 rer;version="1.0",com.liferay.info.taglib.servlet.taglib;version="1.2
 ",com.liferay.info.type;version="2.0",com.liferay.item.selector;versi
 on="4.10",com.liferay.item.selector.criteria;version="2.3",com.lifera
 y.item.selector.criteria.file.criterion;version="1.1",com.liferay.ite
 m.selector.criteria.folder.criterion;version="2.2",com.liferay.layout
 .display.page;version="3.1",com.liferay.layout.page.template.info.ite
 m.capability;version="1.1",com.liferay.layout.page.template.service;v
 ersion="5.2",com.liferay.layout.seo.template,com.liferay.learn;versio
 n="1.0",com.liferay.osgi.service.tracker.collections.list;version="3.
 0",com.liferay.osgi.service.tracker.collections.map;version="2.3",com
 .liferay.osgi.util.service;version="3.1",com.liferay.petra.function;v
 ersion="1.5",com.liferay.petra.function.transform;version="1.2",com.l
 iferay.petra.lang;version="1.3",com.liferay.petra.reflect;version="1.
 5",com.liferay.petra.sql.dsl;version="1.2",com.liferay.petra.sql.dsl.
 query;version="2.0",com.liferay.petra.string;version="1.7",com.lifera
 y.portal.configuration.metatype.annotations;version="1.6",com.liferay
 .portal.configuration.metatype.bnd.util;version="3.0",com.liferay.por
 tal.configuration.persistence.listener;version="1.1",com.liferay.port
 al.instance.lifecycle;version="3.0",com.liferay.portal.kernel.annotat
 ion;version="7.0",com.liferay.portal.kernel.application.type;version=
 "1.0",com.liferay.portal.kernel.bean;version="10.1",com.liferay.porta
 l.kernel.change.tracking;version="2.2",com.liferay.portal.kernel.dao.
 orm;version="12.0",com.liferay.portal.kernel.dao.search;version="9.0"
 ,com.liferay.portal.kernel.display.context.helper;version="2.0",com.l
 iferay.portal.kernel.exception;version="13.1",com.liferay.portal.kern
 el.feature.flag;version="1.0",com.liferay.portal.kernel.io.unsync;ver
 sion="8.0",com.liferay.portal.kernel.json;version="12.0",com.liferay.
 portal.kernel.language;version="11.0",com.liferay.portal.kernel.lock;
 version="9.0",com.liferay.portal.kernel.log;version="8.0",com.liferay
 .portal.kernel.mobile.device;version="9.0",com.liferay.portal.kernel.
 model;version="29.2",com.liferay.portal.kernel.model.portlet;version=
 "2.0",com.liferay.portal.kernel.module.configuration;version="2.1",co
 m.liferay.portal.kernel.notifications;version="11.1",com.liferay.port
 al.kernel.plugin;version="7.0",com.liferay.portal.kernel.pop;version=
 "7.0",com.liferay.portal.kernel.portlet;version="24.1",com.liferay.po
 rtal.kernel.portlet.bridges.mvc;version="6.1",com.liferay.portal.kern
 el.portlet.bridges.mvc.constants;version="1.0",com.liferay.portal.ker
 nel.portlet.configuration.icon;version="5.0",com.liferay.portal.kerne
 l.portlet.toolbar.contributor;version="1.1",com.liferay.portal.kernel
 .portlet.url.builder;version="2.0",com.liferay.portal.kernel.portletd
 isplaytemplate;version="6.4",com.liferay.portal.kernel.repository;ver
 sion="13.0",com.liferay.portal.kernel.repository.capabilities;version
 ="2.0",com.liferay.portal.kernel.repository.event;version="1.1",com.l
 iferay.portal.kernel.repository.http.header.customizer;version="1.0",
 com.liferay.portal.kernel.repository.model;version="11.2",com.liferay
 .portal.kernel.repository.registry;version="1.1",com.liferay.portal.k
 ernel.resource.bundle;version="1.0",com.liferay.portal.kernel.schedul
 er;version="18.0",com.liferay.portal.kernel.search;version="20.1",com
 .liferay.portal.kernel.search.filter;version="1.0",com.liferay.portal
 .kernel.search.generic;version="3.0",com.liferay.portal.kernel.securi
 ty.auth;version="6.0",com.liferay.portal.kernel.security.permission;v
 ersion="6.5",com.liferay.portal.kernel.security.permission.propagator
 ;version="1.0",com.liferay.portal.kernel.security.permission.resource
 ;version="2.2",com.liferay.portal.kernel.service;version="23.0",com.l
 iferay.portal.kernel.service.permission;version="5.0",com.liferay.por
 tal.kernel.servlet;version="11.2",com.liferay.portal.kernel.servlet.t
 aglib.ui;version="11.0",com.liferay.portal.kernel.settings;version="4
 .0",com.liferay.portal.kernel.settings.definition;version="2.0",com.l
 iferay.portal.kernel.struts;version="8.0",com.liferay.portal.kernel.t
 emplate;version="14.1",com.liferay.portal.kernel.theme;version="10.5"
 ,com.liferay.portal.kernel.trash;version="14.0",com.liferay.portal.ke
 rnel.upgrade;version="21.0",com.liferay.portal.kernel.upload;version=
 "10.0",com.liferay.portal.kernel.upload.configuration;version="1.0",c
 om.liferay.portal.kernel.util;version="59.1",com.liferay.portal.kerne
 l.view.count;version="1.2",com.liferay.portal.kernel.webdav;version="
 10.0",com.liferay.portal.kernel.workflow;version="18.2",com.liferay.p
 ortal.kernel.xml;version="7.1",com.liferay.portal.kernel.xmlrpc;versi
 on="6.2",com.liferay.portal.kernel.zip;version="6.4",com.liferay.port
 al.repository.liferayrepository.model,com.liferay.portal.repository.r
 egistry,com.liferay.portal.repository.temporaryrepository,com.liferay
 .portal.repository.util,com.liferay.portal.search.hits,com.liferay.po
 rtal.struts,com.liferay.portal.upgrade.registry;version="5.0",com.lif
 eray.portal.upgrade.v7_0_0;version="7.0",com.liferay.portal.util;vers
 ion="48.1",com.liferay.portal.webdav,com.liferay.portlet.asset.util.c
 omparator,com.liferay.portlet.display.template;version="2.0",com.life
 ray.portlet.display.template.exportimport.portlet.preferences.process
 or;version="1.0",com.liferay.portlet.documentlibrary;version="2.0",co
 m.liferay.portlet.documentlibrary.asset;version="2.0",com.liferay.por
 tlet.documentlibrary.asset.model,com.liferay.portlet.documentlibrary.
 constants,com.liferay.portlet.documentlibrary.webdav,com.liferay.rati
 ngs.kernel;version="1.2",com.liferay.ratings.kernel.definition;versio
 n="1.1",com.liferay.site.navigation.taglib.servlet.taglib.util;versio
 n="1.0",com.liferay.social.kernel.model;version="6.1",com.liferay.sta
 ging;version="2.0",com.liferay.subscription.service;version="1.8",com
 .liferay.taglib.search;version="2.0",com.liferay.taglib.security;vers
 ion="8.1",com.liferay.taglib.servlet;version="3.0",com.liferay.taglib
 .util;version="14.0",com.liferay.template.info.item.capability;versio
 n="1.0",com.liferay.template.info.item.provider;version="1.0",com.lif
 eray.trash;version="2.2",com.liferay.trash.model;version="4.1",com.li
 feray.trash.service;version="2.6",com.liferay.upload;version="1.2",ja
 vax.portlet,javax.portlet.annotations,javax.servlet,javax.servlet.htt
 p,javax.servlet.jsp;version="2.3",org.apache.commons.fileupload;versi
 on="1.3",org.osgi.framework;version="1.8",org.osgi.service.cm;version
 ="1.6",org.apache.xerces.parsers
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-JS-Config: /META-INF/resources/document_library/js/legacy/conf
 ig.js
Liferay-Releng-App-Title: Liferay Document Library
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Communication
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: collaboration
Liferay-Releng-Suite-Description: The Liferay Collaboration suite prov
 ides applications and features that help users share ideas, implement
  them, and produce terrific results. Its apps such as Message Boards 
 and Blogs help users start discussions, ask questions, share ideas, a
 nd connect with other users. Wiki allows users to share in-depth info
 rmation. And Alerts and Announcements facilitate broadcasting informa
 tion and notifications.<br /><br />As users collaborate, they're sure
  to produce important files. The suite's Documents and Media Library 
 allows users to store files, share them, and publish them. It not onl
 y works with Liferay's built-in repository but also allows you to int
 egrate with external repositories, such CMIS repositories. Users can 
 add and share all kinds of files, including documents, presentations,
  images, and videos. And the suite's Documents and Media app and Medi
 a Gallery help users display files the way they like them.<br /><br /
 >As users engage in site activities, you'll want to recognize them an
 d connect them with other users. The suite's social networking apps a
 nd features enable you to attribute social equity to active users aut
 omatically by increasing their rank on the site. You can even highlig
 ht user activities to show your site's liveliness. The Mentions featu
 re facilitates notifying specific users in the context of site conten
 t, discussions, and comments. The social apps also help users share t
 heir thoughts on the your sites and other social sites, such as Faceb
 ook and Twitter. Combined with the suite's collaboration and document
  management features, the Collaboration suite's social features help 
 develop awesome communities, foster high morale, and make work intere
 sting.<br /><br />Apps and Features: Activities, Alerts, Announcement
 s, Blogs, Bookmarks, Comments, Friends/My Sites/Portal/Site Members D
 irectory, Documents and Media, Friend Requests, Image Uploader, Invit
 e Members, Media Gallery, Message Boards, Mentions, Microblogs, Page 
 Flags/Comments/Ratings, Quick Note, Requests, Social Activity, User/G
 roup Statistics, Wiki.<br /><br />This suite may contain modules that
  depend on Foundation suite modules. This suite is available in the L
 iferay bundle.
Liferay-Releng-Suite-Title: Liferay Collaboration
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.document.library.web.display.context.depe
 ndencies,com.liferay.document.library.web.internal.application.list,c
 om.liferay.document.library.web.internal.asset.model,com.liferay.docu
 ment.library.web.internal.bulk.selection,com.liferay.document.library
 .web.internal.change.tracking.spi.display,com.liferay.document.librar
 y.web.internal.configuration,com.liferay.document.library.web.interna
 l.configuration.admin.service,com.liferay.document.library.web.intern
 al.configuration.definition,com.liferay.document.library.web.internal
 .constants,com.liferay.document.library.web.internal.custom.attribute
 s,com.liferay.document.library.web.internal.dao.search,com.liferay.do
 cument.library.web.internal.data.engine.content.type,com.liferay.docu
 ment.library.web.internal.display.context,com.liferay.document.librar
 y.web.internal.display.context.helper,com.liferay.document.library.we
 b.internal.display.context.logic,com.liferay.document.library.web.int
 ernal.display.context.util,com.liferay.document.library.web.internal.
 exception,com.liferay.document.library.web.internal.exportimport.life
 cycle,com.liferay.document.library.web.internal.exportimport.portlet.
 preferences.processor,com.liferay.document.library.web.internal.helpe
 r,com.liferay.document.library.web.internal.info.collection.provider,
 com.liferay.document.library.web.internal.info.display.contributor.po
 rtlet,com.liferay.document.library.web.internal.info.display.url.prov
 ider,com.liferay.document.library.web.internal.info.item,com.liferay.
 document.library.web.internal.info.item.provider,com.liferay.document
 .library.web.internal.info.item.renderer,com.liferay.document.library
 .web.internal.info.item.updater,com.liferay.document.library.web.inte
 rnal.info.list.renderer,com.liferay.document.library.web.internal.inf
 o.search,com.liferay.document.library.web.internal.lar,com.liferay.do
 cument.library.web.internal.layout.display.page,com.liferay.document.
 library.web.internal.model.listener,com.liferay.document.library.web.
 internal.notifications,com.liferay.document.library.web.internal.port
 al.settings.configuration.admin.display,com.liferay.document.library.
 web.internal.portlet,com.liferay.document.library.web.internal.portle
 t.action,com.liferay.document.library.web.internal.portlet.action.hel
 per,com.liferay.document.library.web.internal.portlet.configuration.i
 con,com.liferay.document.library.web.internal.portlet.display.templat
 e,com.liferay.document.library.web.internal.portlet.route,com.liferay
 .document.library.web.internal.portlet.toolbar.contributor,com.lifera
 y.document.library.web.internal.portlet.toolbar.contributor.helper,co
 m.liferay.document.library.web.internal.ratings.definition,com.lifera
 y.document.library.web.internal.scheduler,com.liferay.document.librar
 y.web.internal.search,com.liferay.document.library.web.internal.secur
 ity.permission.resource,com.liferay.document.library.web.internal.ser
 vlet,com.liferay.document.library.web.internal.servlet.taglib.clay,co
 m.liferay.document.library.web.internal.servlet.taglib.definition,com
 .liferay.document.library.web.internal.settings,com.liferay.document.
 library.web.internal.social,com.liferay.document.library.web.internal
 .struts,com.liferay.document.library.web.internal.upgrade.registry,co
 m.liferay.document.library.web.internal.upgrade.v1_0_0,com.liferay.do
 cument.library.web.internal.upload,com.liferay.document.library.web.i
 nternal.util,com.liferay.document.library.web.internal.webdav,com.lif
 eray.document.library.web.portlet.display.template.dependencies,com.l
 iferay.document.library.web.template.dependencies,resource-actions
Provide-Capability: osgi.webresource;osgi.webresource="@liferay/docume
 nt-library-web";version:Version="6.0.150.hotfix-5570-7413",osgi.servi
 ce;objectClass:List<String>="com.liferay.application.list.PanelApp";u
 ses:="com.liferay.application.list",osgi.service;objectClass:List<Str
 ing>="com.liferay.asset.kernel.model.AssetRendererFactory";uses:="com
 .liferay.asset.kernel.model",osgi.service;objectClass:List<String>="c
 om.liferay.change.tracking.spi.display.CTDisplayRenderer";uses:="com.
 liferay.change.tracking.spi.display",osgi.service;objectClass:List<St
 ring>="com.liferay.configuration.admin.display.ConfigurationScreen";u
 ses:="com.liferay.configuration.admin.display",osgi.service;objectCla
 ss:List<String>="com.liferay.data.engine.content.type.DataDefinitionC
 ontentType";uses:="com.liferay.data.engine.content.type",osgi.service
 ;objectClass:List<String>="com.liferay.data.engine.taglib.servlet.tag
 lib.definition.DataLayoutBuilderDefinition";uses:="com.liferay.data.e
 ngine.taglib.servlet.taglib.definition",osgi.service;objectClass:List
 <String>="com.liferay.document.library.display.context.DLDisplayConte
 xtProvider";uses:="com.liferay.document.library.display.context",osgi
 .service;objectClass:List<String>="com.liferay.document.library.portl
 et.toolbar.contributor.DLPortletToolbarContributor,com.liferay.portal
 .kernel.portlet.toolbar.contributor.PortletToolbarContributor";uses:=
 "com.liferay.document.library.portlet.toolbar.contributor,com.liferay
 .portal.kernel.portlet.toolbar.contributor",osgi.service;objectClass:
 List<String>="com.liferay.document.library.web.internal.configuration
 .admin.service.CacheControlConfigurationManagedServiceFactory,org.osg
 i.service.cm.ManagedServiceFactory";uses:="com.liferay.document.libra
 ry.web.internal.configuration.admin.service,org.osgi.service.cm",osgi
 .service;objectClass:List<String>="com.liferay.document.library.web.i
 nternal.display.context.DLAdminDisplayContextProvider";uses:="com.lif
 eray.document.library.web.internal.display.context",osgi.service;obje
 ctClass:List<String>="com.liferay.document.library.web.internal.displ
 ay.context.IGDisplayContextProvider";uses:="com.liferay.document.libr
 ary.web.internal.display.context",osgi.service;objectClass:List<Strin
 g>="com.liferay.document.library.web.internal.exportimport.portlet.pr
 eferences.processor.DLExportImportPortletPreferencesProcessor,com.lif
 eray.exportimport.portlet.preferences.processor.ExportImportPortletPr
 eferencesProcessor";uses:="com.liferay.document.library.web.internal.
 exportimport.portlet.preferences.processor,com.liferay.exportimport.p
 ortlet.preferences.processor",osgi.service;objectClass:List<String>="
 com.liferay.document.library.web.internal.helper.DLTrashHelper";uses:
 ="com.liferay.document.library.web.internal.helper",osgi.service;obje
 ctClass:List<String>="com.liferay.document.library.web.internal.portl
 et.toolbar.contributor.DLPortletToolbarContributorRegistry";uses:="co
 m.liferay.document.library.web.internal.portlet.toolbar.contributor",
 osgi.service;objectClass:List<String>="com.liferay.document.library.w
 eb.internal.portlet.toolbar.contributor.helper.DLPortletToolbarContri
 butorHelper";uses:="com.liferay.document.library.web.internal.portlet
 .toolbar.contributor.helper",osgi.service;objectClass:List<String>="c
 om.liferay.document.library.web.internal.portlet.toolbar.contributor.
 helper.MenuItemProvider";uses:="com.liferay.document.library.web.inte
 rnal.portlet.toolbar.contributor.helper",osgi.service;objectClass:Lis
 t<String>="com.liferay.document.library.web.internal.upload.DLUploadF
 ileEntryHandler";uses:="com.liferay.document.library.web.internal.upl
 oad",osgi.service;objectClass:List<String>="com.liferay.document.libr
 ary.web.internal.upload.DLUploadResponseHandler";uses:="com.liferay.d
 ocument.library.web.internal.upload",osgi.service;objectClass:List<St
 ring>="com.liferay.expando.kernel.model.CustomAttributesDisplay";uses
 :="com.liferay.expando.kernel.model",osgi.service;objectClass:List<St
 ring>="com.liferay.exportimport.kernel.lar.PortletDataHandler";uses:=
 "com.liferay.exportimport.kernel.lar",osgi.service;objectClass:List<S
 tring>="com.liferay.exportimport.kernel.lifecycle.ExportImportLifecyc
 leListener";uses:="com.liferay.exportimport.kernel.lifecycle",osgi.se
 rvice;objectClass:List<String>="com.liferay.exportimport.portlet.pref
 erences.processor.Capability";uses:="com.liferay.exportimport.portlet
 .preferences.processor",osgi.service;objectClass:List<String>="com.li
 feray.exportimport.portlet.preferences.processor.ExportImportPortletP
 referencesProcessor";uses:="com.liferay.exportimport.portlet.preferen
 ces.processor",osgi.service;objectClass:List<String>="com.liferay.fri
 endly.url.info.item.provider.InfoItemFriendlyURLProvider";uses:="com.
 liferay.friendly.url.info.item.provider",osgi.service;objectClass:Lis
 t<String>="com.liferay.friendly.url.info.item.updater.InfoItemFriendl
 yURLUpdater";uses:="com.liferay.friendly.url.info.item.updater",osgi.
 service;objectClass:List<String>="com.liferay.info.collection.provide
 r.InfoCollectionProvider";uses:="com.liferay.info.collection.provider
 ",osgi.service;objectClass:List<String>="com.liferay.info.display.url
 .provider.InfoEditURLProvider";uses:="com.liferay.info.display.url.pr
 ovider",osgi.service;objectClass:List<String>="com.liferay.info.item.
 provider.InfoItemCapabilitiesProvider";uses:="com.liferay.info.item.p
 rovider",osgi.service;objectClass:List<String>="com.liferay.info.item
 .provider.InfoItemDetailsProvider";uses:="com.liferay.info.item.provi
 der",osgi.service;objectClass:List<String>="com.liferay.info.item.pro
 vider.InfoItemFieldValuesProvider";uses:="com.liferay.info.item.provi
 der",osgi.service;objectClass:List<String>="com.liferay.info.item.pro
 vider.InfoItemFormProvider";uses:="com.liferay.info.item.provider",os
 gi.service;objectClass:List<String>="com.liferay.info.item.provider.I
 nfoItemFormVariationsProvider";uses:="com.liferay.info.item.provider"
 ,osgi.service;objectClass:List<String>="com.liferay.info.item.provide
 r.InfoItemObjectProvider";uses:="com.liferay.info.item.provider",osgi
 .service;objectClass:List<String>="com.liferay.info.item.provider.Inf
 oItemObjectVariationProvider";uses:="com.liferay.info.item.provider",
 osgi.service;objectClass:List<String>="com.liferay.info.item.provider
 .InfoItemPermissionProvider";uses:="com.liferay.info.item.provider",o
 sgi.service;objectClass:List<String>="com.liferay.info.item.renderer.
 InfoItemRenderer";uses:="com.liferay.info.item.renderer",osgi.service
 ;objectClass:List<String>="com.liferay.info.list.renderer.InfoListRen
 derer";uses:="com.liferay.info.list.renderer",osgi.service;objectClas
 s:List<String>="com.liferay.info.search.InfoSearchClassMapper";uses:=
 "com.liferay.info.search",osgi.service;objectClass:List<String>="com.
 liferay.layout.display.page.LayoutDisplayPageProvider";uses:="com.lif
 eray.layout.display.page",osgi.service;objectClass:List<String>="com.
 liferay.portal.instance.lifecycle.PortalInstanceLifecycleListener,com
 .liferay.portal.kernel.model.ModelListener";uses:="com.liferay.portal
 .instance.lifecycle,com.liferay.portal.kernel.model",osgi.service;obj
 ectClass:List<String>="com.liferay.portal.kernel.notifications.UserNo
 tificationDefinition";uses:="com.liferay.portal.kernel.notifications"
 ,osgi.service;objectClass:List<String>="com.liferay.portal.kernel.not
 ifications.UserNotificationHandler";uses:="com.liferay.portal.kernel.
 notifications",osgi.service;objectClass:List<String>="com.liferay.por
 tal.kernel.portlet.ConfigurationAction";uses:="com.liferay.portal.ker
 nel.portlet",osgi.service;objectClass:List<String>="com.liferay.porta
 l.kernel.portlet.EditPortletProvider,com.liferay.portal.kernel.portle
 t.ManagePortletProvider,com.liferay.portal.kernel.portlet.ViewPortlet
 Provider";uses:="com.liferay.portal.kernel.portlet,com.liferay.portal
 .kernel.portlet,com.liferay.portal.kernel.portlet",osgi.service;objec
 tClass:List<String>="com.liferay.portal.kernel.portlet.EditPortletPro
 vider,com.liferay.portal.kernel.portlet.ViewPortletProvider";uses:="c
 om.liferay.portal.kernel.portlet,com.liferay.portal.kernel.portlet",o
 sgi.service;objectClass:List<String>="com.liferay.portal.kernel.portl
 et.FriendlyURLMapper";uses:="com.liferay.portal.kernel.portlet",osgi.
 service;objectClass:List<String>="com.liferay.portal.kernel.portlet.F
 riendlyURLResolver";uses:="com.liferay.portal.kernel.portlet",osgi.se
 rvice;objectClass:List<String>="com.liferay.portal.kernel.portlet.Por
 tletLayoutFinder";uses:="com.liferay.portal.kernel.portlet",osgi.serv
 ice;objectClass:List<String>="com.liferay.portal.kernel.portlet.bridg
 es.mvc.MVCActionCommand";uses:="com.liferay.portal.kernel.portlet.bri
 dges.mvc",osgi.service;objectClass:List<String>="com.liferay.portal.k
 ernel.portlet.bridges.mvc.MVCRenderCommand";uses:="com.liferay.portal
 .kernel.portlet.bridges.mvc",osgi.service;objectClass:List<String>="c
 om.liferay.portal.kernel.portlet.bridges.mvc.MVCResourceCommand";uses
 :="com.liferay.portal.kernel.portlet.bridges.mvc",osgi.service;object
 Class:List<String>="com.liferay.portal.kernel.portlet.configuration.i
 con.PortletConfigurationIcon";uses:="com.liferay.portal.kernel.portle
 t.configuration.icon",osgi.service;objectClass:List<String>="com.life
 ray.portal.kernel.portlet.toolbar.contributor.PortletToolbarContribut
 or";uses:="com.liferay.portal.kernel.portlet.toolbar.contributor",osg
 i.service;objectClass:List<String>="com.liferay.portal.kernel.reposit
 ory.http.header.customizer.FileEntryHttpHeaderCustomizer";uses:="com.
 liferay.portal.kernel.repository.http.header.customizer",osgi.service
 ;objectClass:List<String>="com.liferay.portal.kernel.scheduler.Schedu
 lerJobConfiguration";uses:="com.liferay.portal.kernel.scheduler",osgi
 .service;objectClass:List<String>="com.liferay.portal.kernel.settings
 .FallbackKeys";uses:="com.liferay.portal.kernel.settings",osgi.servic
 e;objectClass:List<String>="com.liferay.portal.kernel.settings.defini
 tion.ConfigurationPidMapping";uses:="com.liferay.portal.kernel.settin
 gs.definition",osgi.service;objectClass:List<String>="com.liferay.por
 tal.kernel.struts.StrutsAction";uses:="com.liferay.portal.kernel.stru
 ts",osgi.service;objectClass:List<String>="com.liferay.portal.kernel.
 template.TemplateHandler";uses:="com.liferay.portal.kernel.template",
 osgi.service;objectClass:List<String>="com.liferay.portal.kernel.webd
 av.WebDAVStorage";uses:="com.liferay.portal.kernel.webdav",osgi.servi
 ce;objectClass:List<String>="com.liferay.portal.upgrade.registry.Upgr
 adeStepRegistrator";uses:="com.liferay.portal.upgrade.registry",osgi.
 service;objectClass:List<String>="com.liferay.portlet.display.templat
 e.exportimport.portlet.preferences.processor.PortletDisplayTemplateRe
 gister";uses:="com.liferay.portlet.display.template.exportimport.port
 let.preferences.processor",osgi.service;objectClass:List<String>="com
 .liferay.ratings.kernel.definition.PortletRatingsDefinition";uses:="c
 om.liferay.ratings.kernel.definition",osgi.service;objectClass:List<S
 tring>="com.liferay.social.kernel.model.SocialActivityInterpreter";us
 es:="com.liferay.social.kernel.model",osgi.service;objectClass:List<S
 tring>="javax.portlet.Portlet";uses:="javax.portlet"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=jsp.taglib
 )(uri=http://java.sun.com/portlet_2_0))",osgi.extender;filter:="(&(os
 gi.extender=jsp.taglib)(uri=http://liferay.com/tld/asset))",osgi.exte
 nder;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld
 /aui))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http:
 //liferay.com/tld/clay))",osgi.extender;filter:="(&(osgi.extender=jsp
 .taglib)(uri=http://liferay.com/tld/comment))",osgi.extender;filter:=
 "(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/data-engine)
 )",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://lif
 eray.com/tld/ddm))",osgi.extender;filter:="(&(osgi.extender=jsp.tagli
 b)(uri=http://liferay.com/tld/document-library))",osgi.extender;filte
 r:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/dynamic-s
 ection))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=htt
 p://liferay.com/tld/expando))",osgi.extender;filter:="(&(osgi.extende
 r=jsp.taglib)(uri=http://liferay.com/tld/export-import-changeset))",o
 sgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay
 .com/tld/friendly-url))",osgi.extender;filter:="(&(osgi.extender=jsp.
 taglib)(uri=http://liferay.com/tld/frontend))",osgi.extender;filter:=
 "(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/learn))",osg
 i.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.c
 om/tld/portlet))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)
 (uri=http://liferay.com/tld/ratings))",osgi.extender;filter:="(&(osgi
 .extender=jsp.taglib)(uri=http://liferay.com/tld/react))",osgi.extend
 er;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/s
 ecurity))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=ht
 tp://liferay.com/tld/sharing))",osgi.extender;filter:="(&(osgi.extend
 er=jsp.taglib)(uri=http://liferay.com/tld/site-navigation))",osgi.ext
 ender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tl
 d/template))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri
 =http://liferay.com/tld/theme))",osgi.extender;filter:="(&(osgi.exten
 der=jsp.taglib)(uri=http://liferay.com/tld/trash))",osgi.extender;fil
 ter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/ui))",o
 sgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay
 .com/tld/util))",osgi.service;filter:="(objectClass=com.liferay.asset
 .auto.tagger.configuration.AssetAutoTaggerConfigurationFactory)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.asset.di
 splay.page.portlet.AssetDisplayPageEntryFormProcessor)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.asset.display.pag
 e.portlet.AssetDisplayPageFriendlyURLProvider)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.asset.display.page.servic
 e.AssetDisplayPageEntryLocalService)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.asset.info.item.provider.AssetEntry
 InfoItemFieldSetProvider)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.asset.kernel.service.AssetCategoryLocalService
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.a
 sset.kernel.service.AssetEntryLocalService)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.asset.kernel.service.AssetEn
 tryService)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.asset.kernel.service.AssetLinkLocalService)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.asset.kernel.servic
 e.AssetTagLocalService)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.bulk.selection.BulkSelectionFactory)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.data.engine.re
 st.resource.v2_0.DataDefinitionResource$Factory)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.depot.group.provider.Si
 teConnectedGroupGroupProvider)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.depot.service.DepotEntryLocalService)";ef
 fective:=active;resolution:=optional,osgi.service;filter:="(objectCla
 ss=com.liferay.diff.Diff)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.document.library.configuration.DLSizeLimitConf
 igurationProvider)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.document.library.display.context.DLDisplayContextProv
 ider)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.document.library.display.context.DLMimeTypeDisplayContext)";effect
 ive:=active;resolution:=optional,osgi.service;filter:="(objectClass=c
 om.liferay.document.library.kernel.service.DLAppLocalService)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.document.l
 ibrary.kernel.service.DLAppService)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.document.library.kernel.service.DLFi
 leEntryLocalService)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.document.library.kernel.service.DLFileEntryMetadata
 LocalService)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.document.library.kernel.service.DLFileEntryTypeLocalServic
 e)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 document.library.kernel.service.DLFileEntryTypeService)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.document.library
 .kernel.service.DLFileVersionLocalService)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.document.library.kernel.servi
 ce.DLFolderLocalService)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.document.library.kernel.service.DLTrashService)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.do
 cument.library.kernel.store.Store)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.document.library.kernel.util.AudioPro
 cessor)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.document.library.kernel.util.DLValidator)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.document.library.kernel.u
 til.ImageProcessor)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.document.library.kernel.util.PDFProcessor)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.document.lib
 rary.kernel.util.VideoProcessor)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.document.library.kernel.versioning.Vers
 ioningStrategy)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.document.library.preview.DLPreviewRendererProvider)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.documen
 t.library.service.DLFileVersionPreviewLocalService)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.document.library.uti
 l.DLAssetHelper)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.document.library.util.DLURLHelper)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.document.library.web.in
 ternal.configuration.admin.service.CacheControlConfigurationManagedSe
 rviceFactory)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.document.library.web.internal.display.context.DLAdminDispl
 ayContextProvider)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.document.library.web.internal.exportimport.portlet.pr
 eferences.processor.DLExportImportPortletPreferencesProcessor)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.document.
 library.web.internal.helper.DLTrashHelper)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.document.library.web.internal
 .portlet.toolbar.contributor.DLPortletToolbarContributorRegistry)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.docume
 nt.library.web.internal.portlet.toolbar.contributor.helper.DLPortletT
 oolbarContributorHelper)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.document.library.web.internal.portlet.toolbar.c
 ontributor.helper.MenuItemProvider)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.document.library.web.internal.upload
 .DLUploadFileEntryHandler)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.document.library.web.internal.upload.DLUpload
 ResponseHandler)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.dynamic.data.lists.service.DDLRecordSetLocalService)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.dynam
 ic.data.mapping.form.values.factory.DDMFormValuesFactory)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.m
 apping.info.item.provider.DDMFormValuesInfoFieldValuesProvider)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.dynamic.
 data.mapping.info.item.provider.DDMStructureInfoItemFieldSetProvider)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.dy
 namic.data.mapping.service.DDMStructureLinkLocalService)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.ma
 pping.service.DDMStructureLocalService)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.dynamic.data.mapping.service.DDM
 StructureService)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.dynamic.data.mapping.service.DDMTemplateService)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.dynamic.
 data.mapping.storage.DDMStorageEngineManager)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.dynamic.data.mapping.stora
 ge.StorageEngine)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.dynamic.data.mapping.util.DDMBeanTranslator)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.dynamic.data
 .mapping.util.DDMFormValuesToMapConverter)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.expando.info.item.provider.Ex
 pandoInfoItemFieldSetProvider)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.exportimport.changeset.portlet.action.Exp
 ortImportChangesetMVCActionCommand)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.exportimport.kernel.lar.ExportImport
 Helper)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.exportimport.kernel.lar.PortletDataHandler)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.exportimport.kernel.sta
 ging.Staging)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.exportimport.portlet.preferences.processor.Capability)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.fragme
 nt.processor.PortletRegistry)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.friendly.url.info.item.provider.InfoItemFr
 iendlyURLProvider)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.friendly.url.service.FriendlyURLEntryLocalService)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.info.
 item.InfoItemServiceRegistry)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.info.item.field.reader.InfoItemFieldReader
 FieldSetProvider)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.info.item.renderer.InfoItemRendererRegistry)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.info.search.
 InfoSearchClassMapperRegistry)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.item.selector.ItemSelector)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.item.selector.It
 emSelectorUploadResponseHandler)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.layout.display.page.LayoutDisplayPagePr
 oviderRegistry)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.layout.page.template.info.item.capability.DisplayPageInf
 oItemCapability)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.layout.page.template.service.LayoutPageTemplateEntrySer
 vice)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.layout.seo.template.LayoutSEOTemplateProcessor)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.json.JS
 ONFactory)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.portal.kernel.language.Language)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.portal.kernel.model.Portlet)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.porta
 l.kernel.model.Release)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.portal.kernel.portlet.PortletLayoutFinder)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.k
 ernel.repository.RepositoryProvider)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.portal.kernel.security.permission.r
 esource.ModelResourcePermission)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.portal.kernel.security.permission.resou
 rce.PortletResourcePermission)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.kernel.service.ClassNameLocalServi
 ce)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .portal.kernel.service.CompanyLocalService)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.portal.kernel.service.GroupL
 ocalService)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.portal.kernel.service.LayoutLocalService)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.servic
 e.PortletPreferencesLocalService)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.portal.kernel.service.RepositoryLocalS
 ervice)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.portal.kernel.service.RepositoryService)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.portal.kernel.service.User
 LocalService)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.portal.kernel.settings.SettingsLocatorHelper)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.u
 til.FriendlyURLNormalizer)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.portal.kernel.util.Html)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.portal.kernel.util.Loca
 lization)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.portal.kernel.util.Portal)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.portal.kernel.zip.ZipWriterFactory)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.templ
 ate.info.item.capability.TemplateInfoItemCapability)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.template.info.item.
 provider.TemplateInfoItemFieldSetProvider)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.trash.TrashHelper)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.trash.service
 .TrashEntryService)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.upload.UniqueFileNameProvider)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.upload.UploadHandler)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.uploa
 d.UploadResponseHandler)";effective:=active,osgi.service;filter:="(ob
 jectClass=javax.servlet.ServletContext)";effective:=active,osgi.exten
 der;filter:="(&(osgi.extender=osgi.component)(version>=1.4.0)(!(versi
 on>=2.0.0)))",osgi.contract;osgi.contract=JavaServlet;filter:="(&(osg
 i.contract=JavaServlet)(version=3.1.0))",osgi.contract;osgi.contract=
 JavaPortlet;filter:="(&(osgi.contract=JavaPortlet)(version=3.0.0))",o
 sgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.document.library.web.internal.
 application.list.DocumentLibraryPanelApp.xml,OSGI-INF/com.liferay.doc
 ument.library.web.internal.asset.model.DLFileEntryAssetRendererFactor
 y.xml,OSGI-INF/com.liferay.document.library.web.internal.asset.model.
 DLFolderAssetRendererFactory.xml,OSGI-INF/com.liferay.document.librar
 y.web.internal.change.tracking.spi.display.DLFileEntryCTDisplayRender
 er.xml,OSGI-INF/com.liferay.document.library.web.internal.change.trac
 king.spi.display.DLFileEntryTypeCTDisplayRenderer.xml,OSGI-INF/com.li
 feray.document.library.web.internal.change.tracking.spi.display.DLFil
 eShortcutCTDisplayRenderer.xml,OSGI-INF/com.liferay.document.library.
 web.internal.change.tracking.spi.display.DLFileVersionCTDisplayRender
 er.xml,OSGI-INF/com.liferay.document.library.web.internal.change.trac
 king.spi.display.DLFolderCTDisplayRenderer.xml,OSGI-INF/com.liferay.d
 ocument.library.web.internal.change.tracking.spi.display.RepositoryCT
 DisplayRenderer.xml,OSGI-INF/com.liferay.document.library.web.interna
 l.configuration.admin.service.CacheControlConfigurationManagedService
 Factory.xml,OSGI-INF/com.liferay.document.library.web.internal.config
 uration.definition.DLAdminPortletConfigurationPidMapping.xml,OSGI-INF
 /com.liferay.document.library.web.internal.configuration.definition.D
 LPortletConfigurationPidMapping.xml,OSGI-INF/com.liferay.document.lib
 rary.web.internal.configuration.definition.IGDisplayPortletConfigurat
 ionPidMapping.xml,OSGI-INF/com.liferay.document.library.web.internal.
 custom.attributes.DLFileEntryCustomAttributesDisplay.xml,OSGI-INF/com
 .liferay.document.library.web.internal.custom.attributes.DLFolderCust
 omAttributesDisplay.xml,OSGI-INF/com.liferay.document.library.web.int
 ernal.data.engine.content.type.DLDataDefinitionContentType.xml,OSGI-I
 NF/com.liferay.document.library.web.internal.display.context.DLAdminD
 isplayContextProvider.xml,OSGI-INF/com.liferay.document.library.web.i
 nternal.display.context.DLDisplayContextProviderImpl.xml,OSGI-INF/com
 .liferay.document.library.web.internal.display.context.IGDisplayConte
 xtProvider.xml,OSGI-INF/com.liferay.document.library.web.internal.exp
 ortimport.lifecycle.CascadeFileEntryTypesExportImportLifecycleListene
 r.xml,OSGI-INF/com.liferay.document.library.web.internal.exportimport
 .portlet.preferences.processor.DLCommentsAndRatingsExporterImporterCa
 pability.xml,OSGI-INF/com.liferay.document.library.web.internal.expor
 timport.portlet.preferences.processor.DLExportImportPortletPreference
 sProcessor.xml,OSGI-INF/com.liferay.document.library.web.internal.exp
 ortimport.portlet.preferences.processor.IGDisplayExportImportPortletP
 referencesProcessor.xml,OSGI-INF/com.liferay.document.library.web.int
 ernal.exportimport.portlet.preferences.processor.IGDisplayPortletDisp
 layTemplateExportCapability.xml,OSGI-INF/com.liferay.document.library
 .web.internal.exportimport.portlet.preferences.processor.IGDisplayPor
 tletDisplayTemplateImportCapability.xml,OSGI-INF/com.liferay.document
 .library.web.internal.helper.DLTrashHelper.xml,OSGI-INF/com.liferay.d
 ocument.library.web.internal.info.collection.provider.BasicDocumentSi
 ngleFormVariationInfoCollectionProvider.xml,OSGI-INF/com.liferay.docu
 ment.library.web.internal.info.display.contributor.portlet.DLFileEntr
 yAssetDisplayPageFriendlyURLResolver.xml,OSGI-INF/com.liferay.documen
 t.library.web.internal.info.display.url.provider.FileEntryAssetInfoEd
 itURLProvider.xml,OSGI-INF/com.liferay.document.library.web.internal.
 info.item.provider.FileEntryInfoItemCapabilitiesProvider.xml,OSGI-INF
 /com.liferay.document.library.web.internal.info.item.provider.FileEnt
 ryInfoItemDetailsProvider.xml,OSGI-INF/com.liferay.document.library.w
 eb.internal.info.item.provider.FileEntryInfoItemFieldValuesProvider.x
 ml,OSGI-INF/com.liferay.document.library.web.internal.info.item.provi
 der.FileEntryInfoItemFormProvider.xml,OSGI-INF/com.liferay.document.l
 ibrary.web.internal.info.item.provider.FileEntryInfoItemFormVariation
 sProvider.xml,OSGI-INF/com.liferay.document.library.web.internal.info
 .item.provider.FileEntryInfoItemFriendlyURLProvider.xml,OSGI-INF/com.
 liferay.document.library.web.internal.info.item.provider.FileEntryInf
 oItemObjectProvider.xml,OSGI-INF/com.liferay.document.library.web.int
 ernal.info.item.provider.FileEntryInfoItemObjectVariationProvider.xml
 ,OSGI-INF/com.liferay.document.library.web.internal.info.item.provide
 r.FileEntryInfoItemPermissionProvider.xml,OSGI-INF/com.liferay.docume
 nt.library.web.internal.info.item.renderer.FileEntryAbstractInfoItemR
 enderer.xml,OSGI-INF/com.liferay.document.library.web.internal.info.i
 tem.renderer.FileEntryTitleInfoItemRenderer.xml,OSGI-INF/com.liferay.
 document.library.web.internal.info.item.updater.FileEntryInfoItemFrie
 ndlyURLUpdater.xml,OSGI-INF/com.liferay.document.library.web.internal
 .info.list.renderer.BulletedFileEntryBasicInfoListRenderer.xml,OSGI-I
 NF/com.liferay.document.library.web.internal.info.list.renderer.FileE
 ntryBorderedBasicInfoListRenderer.xml,OSGI-INF/com.liferay.document.l
 ibrary.web.internal.info.list.renderer.InlineFileEntryBasicInfoListRe
 nderer.xml,OSGI-INF/com.liferay.document.library.web.internal.info.li
 st.renderer.NumberedFileEntryBasicInfoListRenderer.xml,OSGI-INF/com.l
 iferay.document.library.web.internal.info.list.renderer.UnstyledFileE
 ntryBasicInfoListRenderer.xml,OSGI-INF/com.liferay.document.library.w
 eb.internal.info.search.FileEntryInfoSearchClassMapper.xml,OSGI-INF/c
 om.liferay.document.library.web.internal.lar.DLAdminPortletDataHandle
 r.xml,OSGI-INF/com.liferay.document.library.web.internal.lar.DLPortle
 tDataHandler.xml,OSGI-INF/com.liferay.document.library.web.internal.l
 ar.IGDisplayPortletDataHandler.xml,OSGI-INF/com.liferay.document.libr
 ary.web.internal.layout.display.page.FileEntryLayoutDisplayPageProvid
 er.xml,OSGI-INF/com.liferay.document.library.web.internal.model.liste
 ner.DLFileEntryTypeModelListener.xml,OSGI-INF/com.liferay.document.li
 brary.web.internal.notifications.DLAddEntryUserNotificationDefinition
 .xml,OSGI-INF/com.liferay.document.library.web.internal.notifications
 .DLExpiredEntryUserNotificationDefinition.xml,OSGI-INF/com.liferay.do
 cument.library.web.internal.notifications.DLReviewEntryUserNotificati
 onDefinition.xml,OSGI-INF/com.liferay.document.library.web.internal.n
 otifications.DLUpdateEntryUserNotificationDefinition.xml,OSGI-INF/com
 .liferay.document.library.web.internal.notifications.DLUserNotificati
 onHandler.xml,OSGI-INF/com.liferay.document.library.web.internal.port
 al.settings.configuration.admin.display.DLSizeLimitCompanyConfigurati
 onScreen.xml,OSGI-INF/com.liferay.document.library.web.internal.porta
 l.settings.configuration.admin.display.DLSizeLimitGroupConfigurationS
 creen.xml,OSGI-INF/com.liferay.document.library.web.internal.portal.s
 ettings.configuration.admin.display.DLSizeLimitSystemConfigurationScr
 een.xml,OSGI-INF/com.liferay.document.library.web.internal.portlet.DL
 AdminEditPortletProvider.xml,OSGI-INF/com.liferay.document.library.we
 b.internal.portlet.DLAdminPortlet.xml,OSGI-INF/com.liferay.document.l
 ibrary.web.internal.portlet.DLEditPortletProvider.xml,OSGI-INF/com.li
 feray.document.library.web.internal.portlet.DLPortlet.xml,OSGI-INF/co
 m.liferay.document.library.web.internal.portlet.DLPortletLayoutFinder
 .xml,OSGI-INF/com.liferay.document.library.web.internal.portlet.IGDis
 playPortlet.xml,OSGI-INF/com.liferay.document.library.web.internal.po
 rtlet.action.AddDataDefinitionMVCActionCommand.xml,OSGI-INF/com.lifer
 ay.document.library.web.internal.portlet.action.CompareVersionsMVCRen
 derCommand.xml,OSGI-INF/com.liferay.document.library.web.internal.por
 tlet.action.CopyDataDefinitionMVCActionCommand.xml,OSGI-INF/com.lifer
 ay.document.library.web.internal.portlet.action.CopyFolderMVCActionCo
 mmand.xml,OSGI-INF/com.liferay.document.library.web.internal.portlet.
 action.CopyFolderMVCRenderCommand.xml,OSGI-INF/com.liferay.document.l
 ibrary.web.internal.portlet.action.DLAdminConfigurationAction.xml,OSG
 I-INF/com.liferay.document.library.web.internal.portlet.action.DLConf
 igurationAction.xml,OSGI-INF/com.liferay.document.library.web.interna
 l.portlet.action.DLViewMVCRenderCommand.xml,OSGI-INF/com.liferay.docu
 ment.library.web.internal.portlet.action.DeleteDataDefinitionMVCActio
 nCommand.xml,OSGI-INF/com.liferay.document.library.web.internal.portl
 et.action.DownloadEntriesMVCResourceCommand.xml,OSGI-INF/com.liferay.
 document.library.web.internal.portlet.action.EditDDMStructureMVCRende
 rCommand.xml,OSGI-INF/com.liferay.document.library.web.internal.portl
 et.action.EditEntryMVCActionCommand.xml,OSGI-INF/com.liferay.document
 .library.web.internal.portlet.action.EditFileEntryImageEditorMVCActio
 nCommand.xml,OSGI-INF/com.liferay.document.library.web.internal.portl
 et.action.EditFileEntryMVCActionCommand.xml,OSGI-INF/com.liferay.docu
 ment.library.web.internal.portlet.action.EditFileEntryMVCRenderComman
 d.xml,OSGI-INF/com.liferay.document.library.web.internal.portlet.acti
 on.EditFileEntryTypeMVCActionCommand.xml,OSGI-INF/com.liferay.documen
 t.library.web.internal.portlet.action.EditFileEntryTypeMVCRenderComma
 nd.xml,OSGI-INF/com.liferay.document.library.web.internal.portlet.act
 ion.EditFileShortcutMVCActionCommand.xml,OSGI-INF/com.liferay.documen
 t.library.web.internal.portlet.action.EditFileShortcutMVCRenderComman
 d.xml,OSGI-INF/com.liferay.document.library.web.internal.portlet.acti
 on.EditFolderMVCActionCommand.xml,OSGI-INF/com.liferay.document.libra
 ry.web.internal.portlet.action.EditFolderMVCRenderCommand.xml,OSGI-IN
 F/com.liferay.document.library.web.internal.portlet.action.EditReposi
 toryMVCActionCommand.xml,OSGI-INF/com.liferay.document.library.web.in
 ternal.portlet.action.EditRepositoryMVCRenderCommand.xml,OSGI-INF/com
 .liferay.document.library.web.internal.portlet.action.EditSizeLimitsM
 VCActionCommand.xml,OSGI-INF/com.liferay.document.library.web.interna
 l.portlet.action.GetFileMVCActionCommand.xml,OSGI-INF/com.liferay.doc
 ument.library.web.internal.portlet.action.IGDisplayConfigurationActio
 n.xml,OSGI-INF/com.liferay.document.library.web.internal.portlet.acti
 on.IGDisplayViewMVCRenderCommand.xml,OSGI-INF/com.liferay.document.li
 brary.web.internal.portlet.action.InfoPanelMVCResourceCommand.xml,OSG
 I-INF/com.liferay.document.library.web.internal.portlet.action.Publis
 hFileEntryMVCActionCommand.xml,OSGI-INF/com.liferay.document.library.
 web.internal.portlet.action.PublishFileShortcutMVCActionCommand.xml,O
 SGI-INF/com.liferay.document.library.web.internal.portlet.action.Publ
 ishFolderMVCActionCommand.xml,OSGI-INF/com.liferay.document.library.w
 eb.internal.portlet.action.SearchMVCRenderCommand.xml,OSGI-INF/com.li
 feray.document.library.web.internal.portlet.action.SelectFileVersionM
 VCRenderCommand.xml,OSGI-INF/com.liferay.document.library.web.interna
 l.portlet.action.SubscribeFileEntryTypeMVCActionCommand.xml,OSGI-INF/
 com.liferay.document.library.web.internal.portlet.action.UnsubscribeF
 ileEntryTypeMVCActionCommand.xml,OSGI-INF/com.liferay.document.librar
 y.web.internal.portlet.action.UpdateDataDefinitionMVCActionCommand.xm
 l,OSGI-INF/com.liferay.document.library.web.internal.portlet.action.U
 ploadFileEntryMVCActionCommand.xml,OSGI-INF/com.liferay.document.libr
 ary.web.internal.portlet.action.UploadMultipleFileEntriesMVCRenderCom
 mand.xml,OSGI-INF/com.liferay.document.library.web.internal.portlet.a
 ction.UploadMultipleFileEntriesMVCResourceCommand.xml,OSGI-INF/com.li
 feray.document.library.web.internal.portlet.action.ViewFileEntryHisto
 ryMVCRenderCommand.xml,OSGI-INF/com.liferay.document.library.web.inte
 rnal.portlet.action.ViewFileEntryMVCRenderCommand.xml,OSGI-INF/com.li
 feray.document.library.web.internal.portlet.action.ViewSlideShowMVCRe
 nderCommand.xml,OSGI-INF/com.liferay.document.library.web.internal.po
 rtlet.configuration.icon.AccessFromDesktopPortletConfigurationIcon.xm
 l,OSGI-INF/com.liferay.document.library.web.internal.portlet.configur
 ation.icon.DeleteExpiredTemporaryFileEntriesPortletConfigurationIcon.
 xml,OSGI-INF/com.liferay.document.library.web.internal.portlet.config
 uration.icon.DeleteFolderPortletConfigurationIcon.xml,OSGI-INF/com.li
 feray.document.library.web.internal.portlet.configuration.icon.Downlo
 adFolderPortletConfigurationIcon.xml,OSGI-INF/com.liferay.document.li
 brary.web.internal.portlet.configuration.icon.EditFolderPortletConfig
 urationIcon.xml,OSGI-INF/com.liferay.document.library.web.internal.po
 rtlet.configuration.icon.FileEntryPermissionPortletConfigurationIcon.
 xml,OSGI-INF/com.liferay.document.library.web.internal.portlet.config
 uration.icon.FolderPermissionPortletConfigurationIcon.xml,OSGI-INF/co
 m.liferay.document.library.web.internal.portlet.configuration.icon.Mo
 veFolderPortletConfigurationIcon.xml,OSGI-INF/com.liferay.document.li
 brary.web.internal.portlet.configuration.icon.PermissionsPortletConfi
 gurationIcon.xml,OSGI-INF/com.liferay.document.library.web.internal.p
 ortlet.configuration.icon.RepositoryPermissionPortletConfigurationIco
 n.xml,OSGI-INF/com.liferay.document.library.web.internal.portlet.disp
 lay.template.IGPortletDisplayTemplateHandler.xml,OSGI-INF/com.liferay
 .document.library.web.internal.portlet.route.DLFriendlyURLMapper.xml,
 OSGI-INF/com.liferay.document.library.web.internal.portlet.route.IGFr
 iendlyURLMapper.xml,OSGI-INF/com.liferay.document.library.web.interna
 l.portlet.toolbar.contributor.DLPortletToolbarContributorRegistry.xml
 ,OSGI-INF/com.liferay.document.library.web.internal.portlet.toolbar.c
 ontributor.DefaultDLPortletToolbarContributor.xml,OSGI-INF/com.lifera
 y.document.library.web.internal.portlet.toolbar.contributor.IGPortlet
 ToolbarContributor.xml,OSGI-INF/com.liferay.document.library.web.inte
 rnal.portlet.toolbar.contributor.helper.DLPortletToolbarContributorHe
 lper.xml,OSGI-INF/com.liferay.document.library.web.internal.portlet.t
 oolbar.contributor.helper.MenuItemProvider.xml,OSGI-INF/com.liferay.d
 ocument.library.web.internal.ratings.definition.DLPortletRatingsDefin
 ition.xml,OSGI-INF/com.liferay.document.library.web.internal.schedule
 r.CheckFileEntrySchedulerJobConfiguration.xml,OSGI-INF/com.liferay.do
 cument.library.web.internal.scheduler.TempFileEntriesSchedulerJobConf
 iguration.xml,OSGI-INF/com.liferay.document.library.web.internal.serv
 let.CacheControlFileEntryHttpHeaderCustomizer.xml,OSGI-INF/com.lifera
 y.document.library.web.internal.servlet.taglib.definition.DocumentLib
 raryDataLayoutBuilderDefinition.xml,OSGI-INF/com.liferay.document.lib
 rary.web.internal.settings.DLPortletInstanceSettingsFallbackKeys.xml,
 OSGI-INF/com.liferay.document.library.web.internal.social.DLFileEntry
 ActivityInterpreter.xml,OSGI-INF/com.liferay.document.library.web.int
 ernal.social.DLFolderActivityInterpreter.xml,OSGI-INF/com.liferay.doc
 ument.library.web.internal.struts.FindFileEntryStrutsAction.xml,OSGI-
 INF/com.liferay.document.library.web.internal.struts.FindFolderStruts
 Action.xml,OSGI-INF/com.liferay.document.library.web.internal.struts.
 GetFileStrutsAction.xml,OSGI-INF/com.liferay.document.library.web.int
 ernal.upgrade.registry.DLWebUpgradeStepRegistrator.xml,OSGI-INF/com.l
 iferay.document.library.web.internal.upload.DLUploadFileEntryHandler.
 xml,OSGI-INF/com.liferay.document.library.web.internal.upload.DLUploa
 dResponseHandler.xml,OSGI-INF/com.liferay.document.library.web.intern
 al.webdav.DLWebDAVStorageImpl.xml
Tool: Bnd-4.3.0.201909301554
Web-ContextPath: /document-library-web

